function get_SimData()
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
    filename = 'SimData/SimData.xls';
    [~, sheets] = xlsfinfo(filename);
    for i = 1:length(sheets)
        %   nacte data z prislusneho listu
        [values,names,~] = xlsread(filename, sheets{i}, 'A1:Z20');
        varname = strcat('SimData/', sheets{i}, '.mat');
        %   vytvori promenne
        for j = 1:length(names)
            if isnan(values(j, 2))
                eval(strcat(names{j}, '=', num2str(values(j, 1)), ';'));
            else
                datalength = length(values(1, :)) - length(find(isnan(values(j, :))));
                data = num2cell(values(j, 1:datalength));
                eval(strcat(names{j}, '= data;'));
            end
            if exist(varname,'file') == 2;
                save(varname,  names{j}, '-append');
            else
                save(varname,  names{j});
            end
        end
        
        %eval(strcat('save(varname, ', names, ');'));
        
    end
end

